set(lrpo).

assign(max_mem, 24000).
assign(max_seconds, 1800).

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).
clear(print_given).

set(basic_paramod).
set(functional_subsume).
set(ordered_paramod).
set(prime_paramod).

assign(pick_given_ratio, 4).

set(para_pairs).  % delete for given algorithm

%%%%%%%%%%%%%%%%%%%%%%
op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator
op(400,xfy,*).  % infix operators

assign(max_weight, 31).

end_of_commands.

list(sos).
(x * y) * z = x * (y * z).
x * (y * y) = y * (y * x).
end_of_list.

list(passive).
A*B*A*B*A*B*A*B != A*A*A*A*B*B*B*B.
end_of_list.
